﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable table1 = new DataTable("patients");
            table1.Columns.Add("name");
            table1.Columns.Add("id");
            table1.Columns.Add("id1");
            table1.Columns.Add("id2");
            table1.Rows.Add("sam", 1, 2, 3);

            DataTable table2 = new DataTable("medications");
            table2.Columns.Add("parentid");
            table2.Columns.Add("medication");
            table2.Rows.Add(1, "atenolol");
            table2.Rows.Add(1, "atenolol");

            DataSet set = new DataSet("office");
            set.Tables.Add(table1);
            set.Tables.Add(table2);
            set.Relations.Add(new DataRelation("rel", table1.Columns[1], table2.Columns[0]));

            this.DataContext = table1.DefaultView;
        }

        private void xamDataGrid1_EditModeEnded(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs e)
        {
            e.Cell.Record.IsExpanded = true;
        }
    }
}
